group "FxTenor.model"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | 2 elements
Defined: | globally in fpml-fx-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
tenorName? | tenorPeriod?

Content Model Elements (2):

  tenorName, | tenorPeriod (defined in FxTenor.model group)

Known Usage Locations

- In definitions of other model groups (1):
  FxCoreDetails.model

XML Source (w/o annotations (2); see within schema source)

<xsd:group name="FxTenor.model"> <xsd:choice> <xsd:element minOccurs="0" name="tenorName"> <xsd:simpleType> <xsd:restriction base="FxTenorPeriodEnum"/> </xsd:simpleType> </xsd:element> <xsd:element minOccurs="0" name="tenorPeriod" type="Period"/> </xsd:choice> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 2/2)
tenorName

  Type: | anonymous simpleType (restriction of FxTenorPeriodEnum), simple content

  A tenor expressed with a standard business term (i.e. Spot, TomorrowNext, etc.)
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Broken" | - | Broken/non conventional Tenor Period. See: http://www.FpML.org
  "Today" | - | Today Tenor Period. See: http://www.FpML.org
  "Tomorrow" | - | Tomorrow Tenor Period. See: http://www.FpML.org
  "TomorrowNext" | - | Day after Tomorrow Tenor Period. See: http://www.FpML.org
  "Spot" | - | Spot Tenor Period. See: http://www.FpML.org
  "SpotNext" | - | Day after Spot Tenor period. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="tenorName"> <xsd:simpleType> <xsd:restriction base="FxTenorPeriodEnum"/> </xsd:simpleType> </xsd:element>

tenorPeriod

  Type: | Period, complex content

  A tenor expressed as a period type and multiplier (e.g. 1D, 1Y, etc.)
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="tenorPeriod" type="Period"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.